'use strict';

const index = require('./index-d4dc7860.js');

/*
 Stencil Client Patch Browser v2.0.3 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = (typeof document === 'undefined' ? new (require('u' + 'rl').URL)('file:' + __filename).href : (document.currentScript && document.currentScript.src || new URL('s-tooltip.cjs.js', document.baseURI).href));
    const opts =  {};
    if ( importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return index.promiseResolve(opts);
};

patchBrowser().then(options => {
  return index.bootstrapLazy([["s-tooltip.cjs",[[1,"s-tooltip",{"margin":[514],"orientation":[513],"followMouse":[516,"follow-mouse"],"noDefaultStyle":[516,"no-default-style"],"backgroundColor":[513,"background-color"],"maxWidth":[513,"max-width"],"maxHeight":[513,"max-height"],"borderWidth":[513,"border-width"],"borderColor":[513,"border-color"],"opacity":[514]}]]]], options);
});
