import { p as promiseResolve, b as bootstrapLazy } from './index-9ff33e81.js';

/*
 Stencil Client Patch Browser v2.0.3 | MIT Licensed | https://stenciljs.com
 */
const patchBrowser = () => {
    const importMeta = import.meta.url;
    const opts =  {};
    if ( importMeta !== '') {
        opts.resourcesUrl = new URL('.', importMeta).href;
    }
    return promiseResolve(opts);
};

patchBrowser().then(options => {
  return bootstrapLazy([["s-tooltip",[[1,"s-tooltip",{"margin":[514],"orientation":[513],"followMouse":[516,"follow-mouse"],"noDefaultStyle":[516,"no-default-style"],"backgroundColor":[513,"background-color"],"maxWidth":[513,"max-width"],"maxHeight":[513,"max-height"],"borderWidth":[513,"border-width"],"borderColor":[513,"border-color"],"opacity":[514]}]]]], options);
});
